<?php include('header.php'); ?>
<div class="menucenter">
<?

require('config.php');

$sql = mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='limit_min' AND `howmany`='1'");
$limit_min = mysql_result($sql,0,0);
$sql = mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='auto_timer_ot' AND `howmany`='1'");
$auto_timer_ot = mysql_result($sql,0,0);
$sql = mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='auto_timer_do' AND `howmany`='1'");
$auto_timer_do = mysql_result($sql,0,0);
$sql = mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='auto_timer_cena' AND `howmany`='1'");
$auto_timer_cena = mysql_result($sql,0,0);

if(count($_POST)>0) {
	if(isset($_POST["wmid"])) {

		$username = (isset($_SESSION["username"])) ? login($_SESSION["username"]) : false;
		$wmid = (isset($_POST["wmid"])) ? ceil($_POST["wmid"]) : false;
		$description = (isset($_POST["description"])) ? text($_POST["description"]) : false;
		$url = (isset($_POST["url"])) ? text($_POST["url"]) : false;
		$plan = (isset($_POST["plan"])) ? intval($_POST["plan"]) : false;
		$timer = (isset($_POST["timer"])) ? intval($_POST["timer"]) : false;
		$limit = (isset($_POST["limit"])) ? intval($_POST["limit"]) : false;

		$laip = getRealIP();

		if(empty($description)) {
			echo '<div class="error">Ошибка! Не заполнено поле Описание ссылки.</div>';
			include('footer.php');
			exit();
		}

		if(empty($url) or $url=="http://" or strlen($url)<11) {
			echo '<div class="error">Ошибка! Не заполнено поле URL ссылки или заполнено не корректно.</div>';
			include('footer.php');
			exit();
		}

		if($timer < $auto_timer_ot | $timer > $auto_timer_do) {
			echo '<div class="error">Ошибка! Время просмотра должно быть в пределах от '.$auto_timer_ot.' сек. до '.$auto_timer_do.' сек.</div>';
			include('footer.php');
			exit();
		}

		if($limit > 0 && $limit < $limit_min) {
			echo '<div class="error">Ошибка! Ограничение количества показов в сутки должно быть более 100 просмотров либо 0 - без ограничений.</div>';
			include('footer.php');
			exit();
		}

		if($limit > $plan) {
			echo '<div class="error">Ошибка! Ограничение количества показов в сутки не может быть больше чем заказанное колличество визитов ('.$plan.').</div>';
			include('footer.php');
			exit();
		}


		$sql_plan = mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='tarifs_auto' AND `howmany`='$plan'");
		if(mysql_num_rows($sql_plan)>0) {
			$cena_visits = mysql_result($sql_plan,0,0);
		}else{
			$plan = 1000;
			$sql_plan_n = mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='tarifs_auto' AND `howmany`='$plan'");
			$cena_visits = mysql_result($sql_plan_n,0,0);
		}

		if($limit>0) {
			$limit_table = $limit;
			$limit_text = $limit;
		}else{
			$limit_table = $plan;
			$limit_text = "Без ограничений";
		}

		$precio = ($cena_visits + (($timer - $auto_timer_ot) * $auto_timer_cena * $plan));
		$summa = number_format($precio,2,".","");
		mysql_query("DELETE FROM `seelf_auto` WHERE `status`='wait' AND `date`<'".(time()-(1*60*60))."'") or die(mysql_error());
		$check_wmid = mysql_query("SELECT `id` FROM `seelf_auto` WHERE `status`='wait' AND `wmid`='$wmid' ORDER BY `id` DESC LIMIT 1");
		$wmid_exist = mysql_num_rows($check_wmid);
		if($wmid_exist>0) {
			mysql_query("UPDATE `seelf_auto` SET `username`='$username', `timer`='$timer',  `date`='".time()."', `plan`='$plan', `limit`='$limit_table', `limit_now`='$limit_table', `url`='$url', `description`='$description', `ip`='$laip', `money`='$summa' WHERE `status`='wait' AND `wmid`='$wmid'") or die(mysql_error());
		}else{
			mysql_query("INSERT INTO `seelf_auto` (`status`, `wmid`, `username`, `timer`,  `date`, `plan`, `limit`, `limit_now`, `members`, `url`, `description`, `claims`, `ip`, `money`) VALUES('wait', '$wmid', '$username', '$timer', '".time()."', '$plan', '$limit_table', '$limit_table', '0', '$url', '$description', '0', '$laip', '$summa')") or die(mysql_error());
		}
		$sql_id = mysql_query("SELECT `id` FROM `seelf_auto` WHERE `status`='wait' AND `wmid`='$wmid' ORDER BY `id` DESC LIMIT 1");
		$id_zakaz = mysql_result($sql_id,0,0);

	      $res=mysql_query("select purse, valutaname from tb_site where id='1'");
	      $pv=mysql_fetch_array($res);
	      $p=$pv["purse"];
	      $vn=$pv["valutaname"];
		echo '<br /><img src="images/ok.gif" width="20" align="absmiddle" border="0" height="20"> <font color="green"><b>Ваш заказ принят!</b></font><br />';
		echo '<font color="red">Ссылка будет размещена автоматически после оплаты.</font><br /><br />';
		echo '<table>';
			echo '<tr><td align="left"><b>Счет №:</b></td><td align="left">&nbsp;&nbsp;</td><td align="left">'.$id_zakaz.'</td></tr>';
			echo '<tr><td align="left"><b>URL ссылки:</b></td><td align="left">&nbsp;&nbsp;</td><td align="left">'.$url.'</td></tr>';
			echo '<tr><td align="left"><b>Описание ссылки:</b></td><td align="left">&nbsp;&nbsp;</td><td align="left">'.$description.'</td></tr>';
			echo '<tr><td align="left"><b>Колличество визитов:</b></td><td align="left">&nbsp;&nbsp;</td><td align="left">'.$plan.'</td></tr>';
			echo '<tr style="display:none;"><td align="left"><b>Ограничение количества показов в сутки:</b></td><td align="left">&nbsp;&nbsp;</td><td align="left">'.$limit_text.'</td></tr>';
			echo '<tr><td align="left"><b>Время просмотра:</b></td><td align="left">&nbsp;&nbsp;</td><td align="left">'.$timer.' сек.</td></tr>';
			echo '<tr><td align="left"><b>Сумма к оплате:</b></td><td align="left">&nbsp;&nbsp;</td><td align="left"><b style="color:#000;">'.number_format($summa,2,".","`").' руб.</b></td></tr>';
		echo '</table><br/>';
		echo '<form method="post" action="https://merchant.webmoney.ru/lmi/payment.asp">';
			echo '<input type="hidden" name="LMI_PAYMENT_AMOUNT" value="'.$summa.'">';
			echo '<input type="hidden" name="LMI_PAYMENT_DESC" value="Оплата рекламы с WMID#'.$wmid.'  Автоматический серфинг '.$plan.' визитов.">';
			echo '<input type="hidden" name="LMI_PAYEE_PURSE" value="'.$p.'">';
                  echo '<input type="hidden" name="service" value="auto">';
			echo '<input type="hidden" name="id" value="'.$id_zakaz.'">';
			echo '<input type="submit" class="ok_wm" value="Оплатить">';
		echo '</form><br>';
	}
      }else{
	echo '
<div class="menucenter">
<font color="#00bb00"><b><u>Описание:</u></b> </font><br>
Это ссылки которые просматриваются в авто-режиме без каптчи и с автопереходом на новый сайт. При достижение заказанных Вами показов ссылка автоматически исчезает.
</div>
<fieldset class="error">Реклама которая разрушает таймер, будет удалена без возрата средств!</fieldset>
<div id="form">';
	echo '<form id="payform" name="payform" method="post" action="" class="form">';
	echo '<table class=reyt width=100% border=0 cellpadding=0 cellspacing=0>
<thead><tr>
<th align="left">Параметр</th>
<th align="left">Значение параметра<th>
</tr></thead>';
		echo '<tr>';
		echo '<td align="left" align="left">WMID:</td>';
		echo '<td align="left"><input type="text" name="wmid" size="50" maxlength="13" class="field" value="" /></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="left">Описание ссылки:</td>';
		echo '<td align="left"><input type="text" name="description" size="50" maxlength="100" class="field" value="" /></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="left">URL сайта (ссылка):</td>';
		echo '<td align="left"><input type="text" name="url" size="50" maxlength="160" class="field" value="http://" /></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="left">Выберите тарифный план:</td>';
		echo '<td align="left"><select name="plan" style="width: auto;" tabindex="4">';
		$plan_arr = array(100, 300, 500, 700, 1000, 2000, 3000, 4000, 5000, 10000, 20000, 30000);
		for($i=0; $i<sizeof($plan_arr); $i++){
		$cur_plan = $plan_arr[$i];
		$sql = mysql_query("SELECT * FROM `tb_config` WHERE `item`='tarifs_auto' AND `howmany`='".$cur_plan."'");
		$row = mysql_fetch_array($sql);
		echo '<option value="'.($row["howmany"]).'">'.($row["howmany"]).' визитов - '.($row["price"]).' руб.</option>';
		}
		echo '</select></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="left">Время просмотра: (от '.$auto_timer_ot.' до '.$auto_timer_do.' сек.)</td>';
		echo '<td align="left"><input type="text" name="timer" size="20" maxlength="3" class="field" value="'.$auto_timer_ot.'" /></td>';
		echo '</tr>';
		echo '<tr style="display:none;">';
		echo '<td align="left">Ограничение количества показов в сутки:<br>(0 - без ограничений)</p></td>';
		echo '<td align="left"><input type="text" name="limit" size="20" maxlength="5" class="field" value="0" /></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="left">&nbsp;</td>';
		echo '<td align="left"><input type="submit" class="ok_wm" value="Оформить заказ &gt;&gt;" class="submit" /></td>';
		echo '</tr>';
	echo '</table>';
	echo '</form>';
	echo '</fieldset>';
	echo '</div>';
} ?>
<?include('footer.php');?>